## org.apache.fop.layout
Class AreaContainer

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.AreaContainer

Direct Known Subclasses:
  ColumnArea, SpanArea

public class AreaContainer
extends Area

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`AreaContainer(FontState fontState, int xPosition, int yPosition, int allocationWidth, int maxHeight, int position)`

Method Summary
`int` `getCurrentYPosition()`
`int` `getPosition()`
`int` `getXPosition()`
`int` `getYPosition()`
`void` `render(Renderer renderer)`
`void` `setXPosition(int value)`
`void` `setYPosition(int value)`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getHeight, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setHeight, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaContainer

    public AreaContainer(FontState fontState,
                         int xPosition,
                         int yPosition,
                         int allocationWidth,
                         int maxHeight,
                         int position)

Method Detail

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

### getPosition

    public int getPosition()

### getXPosition

    public int getXPosition()

### setXPosition

    public void setXPosition(int value)

### getYPosition

    public int getYPosition()

### getCurrentYPosition

    public int getCurrentYPosition()

### setYPosition

    public void setYPosition(int value)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.